Bug #47675

PSR-0 compatible classes using underscore cannot be loaded

Added by Karsten Dambekalns over 8 years ago. Updated over 8 years ago.

Status:
Resolved
Priority:
Should have
Category:
Core
Start date:
2013-04-28
Due date:
% Done:

100%

Estimated time:
PHP Version:
Has patch:
No
Complexity:

Description

PSR-0 mandates that backslashes and underscores be translated to directory separators when loading classes. This is not done in our ClassLoader, thus packages that otherwise are compatible (composer / PSR-0) are not usable.

Also available in: Atom PDF